# $Revision: 1.7 $, $Date: 2012/01/12 19:02:18 $
Summary:	A comprehensive HTTP client library
Summary(pl.UTF-8):	Obszerna biblioteka klienta HTTP
Name:		python-httplib2
Version:	0.7.2
Release:	1
License:	MIT
Group:		Development/Languages/Python
Source0:	http://httplib2.googlecode.com/files/httplib2-%{version}.zip
# Source0-md5:	37c4edeed0f03246134a614e210665f3
URL:		http://bitworking.org/projects/httplib2/
BuildRequires:	python >= 2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A comprehensive HTTP client library, httplib2.py supports many
features left out of other HTTP libraries. Supports:
- HTTP and HTTPS
- Keep-Alive
- Authentication
- Caching
- All Methods
- Redirects
- Compression
- Lost update support
- Unit Tested

%description -l pl.UTF-8
httplib2.py to obszerna biblioteka klienta HTTP, obsługująca wiele
cech pomijanych przez inne biblioteki. Obsługuje:
- HTTP i HTTPS
- Keep-Alive
- uwierzytelnianie
- buforowanie
- wszystkie metody
- przekierowania
- kompresję
- Lost update
- podlega testom jednostkowym.

%prep
%setup -q -n httplib2-%{version}

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%dir %{py_sitescriptdir}/httplib2
%{py_sitescriptdir}/httplib2/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-httplib2.spec,v $
Revision 1.7  2012/01/12 19:02:18  zbyniu
- up to 0.7.2

Revision 1.6  2011/07/19 09:29:57  marti
- up to 0.7.1
- updated sources cause project is now hosted in google code repo

Revision 1.5  2011/01/23 21:10:38  sparky
- added BR: python-modules, rpm-pythonprov

Revision 1.4  2010/07/08 08:14:43  arekm
- release 3

Revision 1.3  2008/10/03 17:51:08  arekm
- release 2

Revision 1.2  2007-06-17 11:49:06  qboosh
- pl

Revision 1.1  2007/06/14 19:42:50  glen
- new
